نصب متاسپلویت در سیستم عامل اندروید

نصب متاسپلویت

در این اموزش فریمورک قدرتمند متاسپلویت را نصب در سیستم عامل اندروید نصب خواهیم کرد با ما در ادامه اموزش نصب متاسپلویت همراه باشید

نصب متاسپلویت

متااسپلویت یک فریمورک بسیار قدرتمند برای تست نفوذ میباشد که قابل استفاده در هر سیستم عاملی است 

این فریمورک با هزاران اکسپلویت و پیلود های مختلف به صورت رایگان و غیر رایگان ارائه شده است

و به همین دلیل محبوبیت زیادی بین متخصصان امنیت پیدا کرده است و میتوان ان را به صورت پیشفرض در سیستم عامل کالی لینوکس هم مشاهده نمایید که در منو اصلی ان وجود دارد 

در اموزش قبل نصب متاسپلویت در ویندوز را اموزش داده ایم و در این اموزش میخواهیم این فریمورک را به سیستم عامل اندروید اوریم

پیشنهاد اموزش : درصورتی که با پیلود ها اشنایی ندارید میتوانید اموزش پیلود چیست را مشاهده کنید

 نصب پیشنیاز ها

قبل از هر چیز برای اجرای متاسپلویت در اندروید به ترموکس احتیاج داریم و اموزش ان را باید مشاهده نمایید

 وارد ترموکس شده و دستور زیر را برای اپدیت های لازم نرم افزاری وارد کنید

apt update ; apt upgrade

برای دریافت فایل های مورد نیاز باید wget را با دستور زیر نصب نمایید

wget یک ابزار برای دریافت داده از طریق لینک است که در کثر سیستم عامل های برپایه لینوکس نصب است

apt install wget

نصب متاسپلویت در سیستم عامل اندروید

اموزش نصب متاسپلویت در اندروید 6 و پایین تر

بعد از نصب wget می توانید با دستور wget یا curl فایل فشرده متاسپلویت را از گیت هاب دریافت کنید :

curl -LO https://github.com/termux/termux-packages/files/3995119/metasploit_5.0.65-1_all.deb.gz

بعد از تکمیل و دریافت فایل ، ان را از حالت فشرده خارج کنید :

gunzip metasploit_5.0.65-1_all.deb.gz

با دستور زیر نصب متاسپلویت را اغاز کنید :

dpkg -i metasploit_5.0.65-1_all.deb

با دستور زیر وارد پوشه متاسپلویت شوید

cd metasploit-framework

و در اخر برای اجرا متاسپلویت را مانند دستور زیر اجرا کنید :

msfconsole

میتوانید از این فریمورک قدرتمند به راحتی در موبایل اندرویدی خود استفاده نمایید 

نکته :  همچنین میتوانید اموزش نحوه کار با متاسپلویت و نحوه هک اندروید را مشاهده کنید .

نصب متاسپلویت در اندروید 7 و بالاتر

نصب این ابزار در اندروید های بالاتر از نسخه 7 و درون ابزار ترموکس با دستورات زیر ممکن است.
و به راحتی با دو دستور زیر می توانید متاسپلویت را نصب کنید.

pkg install unstable-repo

pkg install metasploit

امیدواریم این اموزش هک و امنیت مفید واقع شده باشد.

موفق باشید.

2.8/5 (4 نظر)

نیما حسینی هستم بنیان گذار تیم پن تست کور و مدرس دوره های امنیت شبکه و راه های مقابله با نفوذ ، در 7 سال گذشته متمرکز بر مباحث روز امنیت سایبری بوده ام و بعد از کسب دانش و تجربه های ارزشمند تصمیم بر به اشتراک گذاری نتیجه ان ها با دیگران گرفته ام.

مطالب مرتبط

۳۹ دیدگاه در “نصب متاسپلویت در سیستم عامل اندروید”

  • Ali moghtader دی 17, 1397 پاسخ

    سلام خسته نباشید
    من توی نصب مشکل دارم میشه راهنمایی کنید
    من یه بار متاسپلوایت رو با tool-x رو ترموکس نصب کرده بودم خیلی هم خوب کار می کرد بعد ترموکس رو کلیر دیتا کردم و کالی نت هانتر رو نصب کردم به متاسپلوایت رو رو ترمینال کالی نصب کردم به درستی و کامل نصب شد اما دستور msfconsole کار نمی کرد منم کلا دوباره کلیر دیتا زدم و خواستم متا رو روی خود ترموکس نصب کنم حالا با هر اسکریپتی میزنم نصب نمیشه
    توی نصب ruby و جم هاش bundler رو نصب می‌کنم میگه ۱ gem installed بعد bundler install رو میزنم ارور traceback میده اینم ارورش
    $ bundler install
    Traceback (most recent call last):
    2: from /data/data/com.termux/files/usr/bin/bundler:23:in `’
    1: from /data/data/com.termux/files/usr/lib/ruby/2.5.0/rubygems.rb:308:in `activate_bin_path’
    /data/data/com.termux/files/usr/lib/ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe’: can’t find gem bundler (>= 0.a) with executable bundler (Gem::GemNotFoundException)
    $
    خیلی ممنون میشم اگه‌ راهنماییم کنید

  • rahi07 فروردین 13, 1398 پاسخ

    سلام
    دستور bash metasploid اجرا نشد و ارور داد در صورتی که wget http… به درستی انجام شد لطفا راهنمایی کنید ممنون

    • Nima Nani فروردین 21, 1398 پاسخ

      درود
      bash metasploid.sh وارد کنید
      در صورت مشاهده ارور ، متن ان را بفرمایید تا مشکل شما حل شود
      موفق باشید

  • Sajad فروردین 24, 1398 پاسخ

    ادمین گرامی من سعی کردم تا متاسپلویت رو نصب کنم ولی نشد و کاملا از روش شما پیشرفتم وقتی LS میگیرم فایل رو نشون میده ولی
    با دستور bash و /. نمیتونم نصبش کنم
    لطفا راهنمایی کنید
    ls
    metasploit.sh
    $ ./metasploit
    bash: ./metasploit: No such file or directory
    $ bash metasploit.smetasploit.sh
    bash: metasploit.smetasploit.sh: No such file or directory
    $ bash metasploit.sh
    metasploit.sh: line 7: syntax error near unexpected token `newline’
    metasploit.sh: line 7: `’
    $ ls
    metasploit.sh
    $ pwd
    /data/data/com.termux/files/home
    $ ls
    metasploit.sh
    $ chmod +x
    .wget-hsts metasploit.sh
    $ chmod +x meametasploit
    chmod: meametasploit: No such file or directory
    $ chmod +x meametasploit.sh
    chmod: meametasploit.sh: No such file or directory

    • Nima Nani فروردین 25, 1398 پاسخ

      درود
      مشکل شما از وارد کردن دستورات اشتباه است در بعضی دستورات شما اصلا پسوند فایل مانند .sh را وارد نمیکنید یا نام را به صورت صحیح وارد نکرده اید (در بخش تغیر سطح دسترسی)

  • aso_kurd تیر 23, 1398 پاسخ

    سلام من همه رو مو به مو اجرا کردم ولی وقتی بعد از wget میرم روی سایت نمیدونم از کجا دانلود کنم لطفا کمکم کنید

  • mohsen مرداد 17, 1398 پاسخ

    من وقتی bash metasploit.sh رو میزنم ارور میده و میگه syntax error near unexpected tokan newline

    • Nima Nani مرداد 25, 1398 پاسخ

      درود
      برسی کنید اشتباها چیز دیگری در دستور وارد نکرده باشید

  • SkyBoy شهریور 31, 1398 پاسخ

    سلام موقع اجرا کردن وقتی دستور ./msfconsole را وارد میکنم این پیغام رومیده.لطفا راهنمایی کنید. 👇
    ( no such file or directory )

    • Nima Nani مهر 10, 1398 پاسخ

      درود
      مسیری که در ان قرار دارید را با دستور pwd چک کنید و با دستور ls برسی کنید فایل وجود دارد یا خیر

  • محسن مهر 23, 1398 پاسخ

    سلام
    خواستم‌ بگم که سکریپت auxilus حذف شده
    باید چی کار‌ کنم؟

    • Nima Nani مهر 26, 1398 پاسخ

      درود
      در صورت بروزرسانی لینک جدید قرار خواهد گرفت
      موفق باشید

  • Access-Denied آذر 13, 1398 پاسخ

    سلام نصب متا روی ترموکس برامن همیشه خوب بالا میومد الان همیشه دوتا ارور میده میگه جم ها پیدا نشدن یا ارور install bundle کمک کنید لطفا

    • نیما حسینی آذر 25, 1398 پاسخ

      درود
      مجدد دستورات اموزش داده شده را برای نصب و اپدیت جدید متاسپلویت وارد نمایید و نباید مشکلی داشته باشید در صورتی که باز هم با مشکل مواجه شدید ارور ها را به صورت کامل ارسال کنید.

  • Aminrastegar فروردین 4, 1399 پاسخ

    سلام من نصب کردم ولی با دستور ./msfconsole رو که میزنم میده Segmentation fault

    • نیما حسینی فروردین 15, 1399 پاسخ

      درود
      برنامه ترموکس را اپدیت کنید ببنید باز هم این مشکل وجود دارد یا خیر. در صورتی که باز هم این مشکل را داشتید اطلاع بدین.

  • Mehrad.Kashaniyan فروردین 8, 1399 پاسخ

    سلام من وقتی میخوام فایل نصبی بگیرم یاErrorمیده‌یا‌به‌من‌لینک‌چنل‌یوتوب‌ارسال
    میکنه‌بایدچیکارکنم‌نصبش‌کنم

    • نیما حسینی فروردین 16, 1399 پاسخ

      درود
      این اموزش اپدیت شد و می توانید طبق اموزش جدید نصب متاسپلویت را انجام دهید.

  • محمد اسفند 2, 1399 پاسخ

    سلام خسته نباشید میخواستم با نصب متاسپلویت اندروید ۷ به بالا نصب کنم ارور داد
    E: Package ‘unstable-repo’ has no installation candidate

  • Amir اسفند 21, 1399 پاسخ

    همش این ارور رو میده Unable to locate package Metasploit
    وقتی میزنم pkg install metasploit

  • Chmod اسفند 30, 1399 پاسخ

    سلام من وقتی. می خوام، clone کنم ازم یوز نیم پسورد می خواد میشه کمک کنید

    • پن‌تست‌کور فروردین 10, 1400 پاسخ

      درود
      این ارور زمانی رخ می دهد که لینک مورد نظر اشتباه وارد شده باشد یا پروژه از گیت هاب حذف شده باشد.

  • AMiiR فروردین 5, 1400 پاسخ

    این ارور رو میده بعد اجرای دستور اخر🚶
    Unable to locate package metasploit

  • raminokm فروردین 6, 1400 پاسخ

    سلام و دورد خسته نباشی مدیر نیما حسینی
    یک سوال داشتم
    موقع که میخام متاسپلویت
    رو اجراع کنم یه چنتا ارور میده آپدیت ها و پیش نیاز هاش تکمیل کردم گوشی هم اندروید ۱۰ رم ۴ هواوی
    و خلاصه ارور های که میده
    E: Unmet dependencies. Try ‘apt –fix-broken install’ with no packages (or specify a solution).

    E: Unable to locate package ruby2
    ودراخر
    وpcaprub-0.13.0 requires ruby version ~> 2.0, which is incompatible with the current
    version, ruby 3.0.0p0

    خب اینم ارور ها
    قبلا اجراع شده بود روی گوشیم بعداز اینکه گوشیم فلش شد وغیره….
    خب مشکل من چی هست که این اجراع نمیشه یا نسخه جدید تری اومده یا که کلا روی گوشی من جواب نمیده
    ممنون چیزای خوب و مفیدی آموزش میدی مرسی داری آقای حسینی
    اگع متاسپلویت رو راهنمایی کنید ممنون میشم ♥️♥️

    • پن‌تست‌کور اردیبهشت 10, 1400 پاسخ

      درود
      همانطور که در ارور گفته شده است دستور apt –fix-broken install را وارد کنید.

  • محمد فروردین 21, 1400 پاسخ

    من وقتی msfconsole رو میزنم میگه/data/data/com.termux/files/usr/bin/msfconsole: 2: Syntax error: newline unexpected اینو میگه من آدمی نیستم که معمولا کمک بخوام سعی میکنم خودم مشکل رو برطرف کنم ولی ت. این مورد واقعا نمیدونم همه کاری کردم بازم بالا نمیاد راهنمایی کنید ممنون🙏😘

    • پن‌تست‌کور اردیبهشت 13, 1400 پاسخ

      درود
      از روش زیر استفاده کنید و مجدد بررسی کنید:
      git clone https://github.com/rapid7/metasploit-framework
      cd metasploit-framework
      pkg install -y ruby libffi libpcap gnupg
      gem install bundler
      bundle config build.nokogiri –use-system-libraries
      bundle install -j5
      ln -sf $HOME/metasploit-framework/msfconsole /data/data/com.termux/files/usr/bin/
      و در نهایت msfconsole

  • پارسا دهقانی اردیبهشت 2, 1400 پاسخ

    سلام من داخل نصب متاسپلویت طبق کد هایی که شما نوشته بودید عمل کردم همه رو مو به مو انجام دادم ولی این ارور رو برام هی میزنه Checking availability of current mirror: ok
    Reading package lists… Done
    Building dependency tree… Done
    Reading state information… Done
    E: Unable to locate package metasploite
    لطفا مشکلم رو حل کنید

  • A.A.N.P اردیبهشت 5, 1400 پاسخ

    سلام من هر چقدر pkg install metasploit رو میزنم برام می نویسه:
    E: Unable to locate package metasploit
    تمام مراحل رو هم کامل انجام دادم مشکلی هم نداشتم

  • A.np اردیبهشت 20, 1400 پاسخ

    سلام من تمام مراحل رو کامل و بدون غلط انجام دادم ولی وقتی pkg install metosploit رو زدم این اومد :
    E: Unable to locate package metasploit

  • Vahid اردیبهشت 20, 1400 پاسخ

    سلام من تازه ترموکس رو ریختم زیاد بلد نیستم باهاش کار کنم
    Unable to locate package metasploit
    من هر وقت میخوام کاری که گفتین رو انجام بدم این میاد میشه راهنمایی کنید ممنون

    • پن‌تست‌کور خرداد 12, 1400 پاسخ

      درود
      یک بار با دستور زیر اپدیت کنید و مجدد تست کنید:
      sudo apt update
      باز هم مشکلی داشتید فایل /etc/apt/sources.list را ادیت کنید و خط زیر را اضافه کنید و مجدد تست کنید:
      deb http://apt.metasploit.com/kali kali-rolling main

  • Mehdi اردیبهشت 22, 1400 پاسخ

    سلام خسته نباشید
    ببخشید من بیشترع پیش نیاز ها رو نصب کردم و طبق گفته ها هم مخازن اپدیته اپدیته
    ولی برای نصب متاسپلویت ارور های الکیهی دریافت میکنم مثلا یک نمونش این بود
    no such file or directory
    ولی این ارور برطرف شد و باز یک ارور دیگه اومد انگار میکنه بسته مکان یابی نمیشه و امکان پذیر نیس
    Unable to locate package metasploit

  • افشین مرداد 7, 1400 پاسخ

    چرا وقتی دستور msfconsole رو وارد میکنم اینو میاره Could not find metasploit_payloads-mettle-1.0.6 in any of the sources
    Run `bundle install` to install missing gems

    • پن‌تست‌کور آبان 10, 1400 پاسخ

      درود
      دستور زیر را وارد کنید.
      bundle install

  • مهدی مرداد 7, 1400 پاسخ

    سلام من تمامی کد هارو بادقت وارد کردم ولی موقع اجرا دوتا ارور Unable to locate package metasploit و Unable to locate package ruby2 میده حتی چند بار ruby2 رو حذف و نصب کردم ولی جواب نداد لطفا راهنمایی کنید با تشکر.

    • پن‌تست‌کور شهریور 12, 1400 پاسخ

      درود
      یک بار اپدیت انجام بدید و مجدد تست کنید.

  • amir مرداد 11, 1402 پاسخ

    سلام من توی اندروید ۷ به بالا میخوام نصب کنم و دو تا دستور که گفتید رو باید بزنم
    دستور دوم رو که میزنم اخرش مینویسه: unable to locate package metasploit
    قبلش هم یکE قرمز رنگ دارهه لطفا راهنمایی کنبد

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

قوانین پن تست کور
دوره کالی لینوکس
نماد های اعتماد
نماد های اعتماد